remove_at.hpp File Reference

Forward declares `boost::hana::remove_at` and `boost::hana::remove_at_c`. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Variables

constexpr auto | boost::hana::remove_at
| Remove the element at a given index from a sequence.`remove_at` returns a new sequence identical to the original, except that the element at the given index is removed. Specifically, `remove_at([x0, ..., xn-1, xn, xn+1, ..., xm], n)` is a new sequence equivalent to `[x0, ..., xn-1, xn+1, ..., xm]`. More...
template<std::size_t n>
constexpr auto | boost::hana::remove_at_c
| Equivalent to `remove_at`; provided for convenience. More...

## Detailed Description

Forward declares `boost::hana::remove_at` and `boost::hana::remove_at_c`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)